org.gradle.api.provider

## Interface SetProperty<T>

- Type Parameters:
    `T` - the type of elements.
  All Superinterfaces:
    HasMultipleValues<T>, Provider<Set<T>>

      @Incubating
      public interface SetProperty<T>
      extends Provider<Set<T>>, HasMultipleValues<T>

  Represents a property whose type is a `Set` of elements of type `T`. Retains iteration order.

  Note: This interface is not intended for implementation by build script or plugin authors. An instance of this class can be created through the factory method `ObjectFactory.setProperty(Class)`.

  Since:
    4.5

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.provider.Provider

      `get, getOrElse, getOrNull, isPresent, map`

    - ### Methods inherited from interface org.gradle.api.provider.HasMultipleValues

      `add, add, addAll, addAll, addAll, set, set`